<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="72dp">

    <androidx.cardview.widget.CardView
        android:id="@+id/iconCv"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:layout_marginStart="16dp"
        android:layout_marginLeft="16dp"
        app:cardBackgroundColor="@color/transparent"
        app:cardCornerRadius="12dp"
        app:cardElevation="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/iconIv"
            style="@style/frescoStyle"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:roundedCornerRadius="12dp" />
    </androidx.cardview.widget.CardView>

    <LinearLayout
        android:id="@+id/titleContainer"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginLeft="12dp"
        android:layout_marginEnd="12dp"
        android:layout_marginRight="12dp"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        app:layout_constraintBottom_toTopOf="@+id/contentTv"
        app:layout_constraintEnd_toStartOf="@+id/timeTv"
        app:layout_constraintStart_toEndOf="@+id/iconCv"
        app:layout_constraintTop_toTopOf="@+id/iconCv">

        <TextView
            android:id="@+id/titleTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:singleLine="true"
            android:textColor="@color/text_primary"
            android:textSize="@dimen/secondary_title_text_size"
            tools:text="系统通知" />

        <TextView
            android:id="@+id/gameSubtitleTv"
            android:layout_width="wrap_content"
            android:layout_height="14dp"
            android:layout_marginStart="4dp"
            android:paddingStart="2dp"
            android:paddingEnd="2dp"
            android:singleLine="true"
            android:textSize="@dimen/tag_text_size"
            android:visibility="gone"
            tools:background="@drawable/bg_advance_download_game_subtitle"
            tools:text="副标题副标题副标题副标题副标题副标题副标题副标题副标题"
            tools:textColor="@color/text_secondary"
            tools:visibility="visible" />

    </LinearLayout>

    <TextView
        android:id="@+id/timeTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="16dp"
        android:layout_marginRight="16dp"
        android:singleLine="true"
        android:textColor="@color/text_neutral"
        android:textSize="@dimen/little_secondary_size"
        app:layout_constraintBottom_toBottomOf="@+id/titleContainer"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/titleContainer"
        tools:text="刚刚" />

    <TextView
        android:id="@+id/contentTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginLeft="12dp"
        android:layout_marginEnd="16dp"
        android:layout_marginRight="16dp"
        android:singleLine="true"
        android:textColor="@color/text_tertiary"
        android:textSize="@dimen/secondary_size"
        app:layout_constraintBottom_toBottomOf="@+id/iconCv"
        app:layout_constraintEnd_toStartOf="@+id/hintTv"
        app:layout_constraintStart_toEndOf="@+id/iconCv"
        app:layout_constraintTop_toBottomOf="@+id/titleContainer"
        tools:text="消息内容预览消息内容预览消息内容预览消息内容预览消息内容预览" />

    <TextView
        android:id="@+id/hintTv"
        android:layout_width="wrap_content"
        android:layout_height="16dp"
        android:layout_marginEnd="16dp"
        android:layout_marginRight="16dp"
        android:background="@drawable/message_unread_hint"
        android:gravity="center"
        android:minWidth="16dp"
        android:paddingStart="5dp"
        android:paddingEnd="5dp"
        android:textColor="@color/white"
        android:textSize="@dimen/tag_text_size"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/contentTv"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/contentTv"
        tools:text="99+" />

    <View
        android:id="@+id/ovalHint"
        android:layout_width="6dp"
        android:layout_height="6dp"
        android:layout_marginEnd="16dp"
        android:layout_marginRight="16dp"
        android:background="@drawable/oval_message_hint_bg"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/contentTv"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/contentTv" />

    <ImageView
        android:id="@+id/doNotDisturbIv"
        android:layout_width="16dp"
        android:layout_height="16dp"
        android:layout_marginEnd="16dp"
        android:layout_marginRight="16dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/contentTv"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/contentTv"
        app:srcCompat="@drawable/ic_do_not_disturb" />

    <View
        android:id="@+id/divider"
        android:layout_width="0dp"
        android:layout_height="0.5dp"
        android:layout_marginStart="76dp"
        android:layout_marginLeft="76dp"
        android:background="@color/ui_divider"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>